For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
          • GETGet Patient List
          • GETGet Appointment List
Contact Sales
LogoLogo
API ReferencePre EncounterListsV1

Get Appointment List

Beta
GET
/lists/v1/appointment
GET
/lists/v1/appointment
$curl https://pre-api.joincandidhealth.com/lists/v1/appointment \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "items": [
3 {
4 "appointment": {
5 "deactivated": true,
6 "id": "id",
7 "organization_id": "organization_id",
8 "patient_id": "patient_id",
9 "service_duration": 1,
10 "services": [
11 {
12 "universal_service_identifier": "MD_Visit",
13 "start_timestamp": "2024-01-15T09:30:00Z"
14 },
15 {
16 "universal_service_identifier": "MD_Visit",
17 "start_timestamp": "2024-01-15T09:30:00Z"
18 }
19 ],
20 "start_timestamp": "2024-01-15T09:30:00Z",
21 "updated_at": "2024-01-15T09:30:00Z",
22 "updating_user_id": "updating_user_id",
23 "version": 1,
24 "appointment_details": "appointment_details",
25 "attending_doctor": {
26 "name": {
27 "family": "family",
28 "given": [
29 "given",
30 "given"
31 ],
32 "use": "USUAL",
33 "period": {
34 "start": "2023-01-15",
35 "end": "2023-01-15"
36 },
37 "suffix": "suffix"
38 },
39 "telecoms": [
40 {
41 "value": "value",
42 "use": "HOME",
43 "period": {}
44 },
45 {
46 "value": "value",
47 "use": "HOME",
48 "period": {}
49 }
50 ],
51 "type": "PRIMARY",
52 "npi": "npi",
53 "addresses": [
54 {
55 "use": "HOME",
56 "line": [
57 "line",
58 "line"
59 ],
60 "city": "city",
61 "state": "state",
62 "postal_code": "postal_code",
63 "country": "country",
64 "county": "county",
65 "period": {}
66 },
67 {
68 "use": "HOME",
69 "line": [
70 "line",
71 "line"
72 ],
73 "city": "city",
74 "state": "state",
75 "postal_code": "postal_code",
76 "country": "country",
77 "county": "county",
78 "period": {}
79 }
80 ],
81 "period": {
82 "start": "2023-01-15",
83 "end": "2023-01-15"
84 },
85 "canonical_id": "canonical_id",
86 "fax": "fax",
87 "service_facilities": [
88 {
89 "service_facility_id": "service_facility_id"
90 },
91 {
92 "service_facility_id": "service_facility_id"
93 }
94 ]
95 },
96 "automated_eligibility_check_complete": true,
97 "checked_in_timestamp": "2024-01-15T09:30:00Z",
98 "estimated_copay_cents": 1,
99 "estimated_patient_responsibility_cents": 1,
100 "location_resource_id": "location_resource_id",
101 "not_ready_reason": "INACTIVE_PRIMARY",
102 "notes": "notes",
103 "patient_deposit_cents": 1,
104 "placer_appointment_id": "placer_appointment_id",
105 "status": "PENDING",
106 "work_queue": "EMERGENT_ISSUE"
107 },
108 "patient": {
109 "biological_sex": "FEMALE",
110 "birth_date": "2023-01-15",
111 "contacts": [
112 {
113 "relationship": [
114 "SELF",
115 "SELF"
116 ],
117 "name": {
118 "family": "family",
119 "given": [
120 "given",
121 "given"
122 ],
123 "use": "USUAL",
124 "period": {
125 "start": "2023-01-15",
126 "end": "2023-01-15"
127 },
128 "suffix": "suffix"
129 },
130 "telecoms": [
131 {
132 "value": "value",
133 "use": "HOME",
134 "period": {}
135 },
136 {
137 "value": "value",
138 "use": "HOME",
139 "period": {}
140 }
141 ],
142 "addresses": [
143 {
144 "use": "HOME",
145 "line": [
146 "line",
147 "line"
148 ],
149 "city": "city",
150 "state": "state",
151 "postal_code": "postal_code",
152 "country": "country",
153 "county": "county",
154 "period": {}
155 },
156 {
157 "use": "HOME",
158 "line": [
159 "line",
160 "line"
161 ],
162 "city": "city",
163 "state": "state",
164 "postal_code": "postal_code",
165 "country": "country",
166 "county": "county",
167 "period": {}
168 }
169 ],
170 "period": {
171 "start": "2023-01-15",
172 "end": "2023-01-15"
173 },
174 "hipaa_authorization": true
175 },
176 {
177 "relationship": [
178 "SELF",
179 "SELF"
180 ],
181 "name": {
182 "family": "family",
183 "given": [
184 "given",
185 "given"
186 ],
187 "use": "USUAL",
188 "period": {
189 "start": "2023-01-15",
190 "end": "2023-01-15"
191 },
192 "suffix": "suffix"
193 },
194 "telecoms": [
195 {
196 "value": "value",
197 "use": "HOME",
198 "period": {}
199 },
200 {
201 "value": "value",
202 "use": "HOME",
203 "period": {}
204 }
205 ],
206 "addresses": [
207 {
208 "use": "HOME",
209 "line": [
210 "line",
211 "line"
212 ],
213 "city": "city",
214 "state": "state",
215 "postal_code": "postal_code",
216 "country": "country",
217 "county": "county",
218 "period": {}
219 },
220 {
221 "use": "HOME",
222 "line": [
223 "line",
224 "line"
225 ],
226 "city": "city",
227 "state": "state",
228 "postal_code": "postal_code",
229 "country": "country",
230 "county": "county",
231 "period": {}
232 }
233 ],
234 "period": {
235 "start": "2023-01-15",
236 "end": "2023-01-15"
237 },
238 "hipaa_authorization": true
239 }
240 ],
241 "filing_order": {
242 "coverages": [
243 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
244 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
245 ]
246 },
247 "general_practitioners": [
248 {
249 "name": {
250 "family": "family",
251 "given": [
252 "given",
253 "given"
254 ],
255 "use": "USUAL",
256 "period": {
257 "start": "2023-01-15",
258 "end": "2023-01-15"
259 },
260 "suffix": "suffix"
261 },
262 "telecoms": [
263 {
264 "value": "value",
265 "use": "HOME",
266 "period": {}
267 },
268 {
269 "value": "value",
270 "use": "HOME",
271 "period": {}
272 }
273 ],
274 "type": "PRIMARY",
275 "npi": "npi",
276 "addresses": [
277 {
278 "use": "HOME",
279 "line": [
280 "line",
281 "line"
282 ],
283 "city": "city",
284 "state": "state",
285 "postal_code": "postal_code",
286 "country": "country",
287 "county": "county",
288 "period": {}
289 },
290 {
291 "use": "HOME",
292 "line": [
293 "line",
294 "line"
295 ],
296 "city": "city",
297 "state": "state",
298 "postal_code": "postal_code",
299 "country": "country",
300 "county": "county",
301 "period": {}
302 }
303 ],
304 "period": {
305 "start": "2023-01-15",
306 "end": "2023-01-15"
307 },
308 "canonical_id": "canonical_id",
309 "fax": "fax",
310 "service_facilities": [
311 {
312 "service_facility_id": "service_facility_id"
313 },
314 {
315 "service_facility_id": "service_facility_id"
316 }
317 ]
318 },
319 {
320 "name": {
321 "family": "family",
322 "given": [
323 "given",
324 "given"
325 ],
326 "use": "USUAL",
327 "period": {
328 "start": "2023-01-15",
329 "end": "2023-01-15"
330 },
331 "suffix": "suffix"
332 },
333 "telecoms": [
334 {
335 "value": "value",
336 "use": "HOME",
337 "period": {}
338 },
339 {
340 "value": "value",
341 "use": "HOME",
342 "period": {}
343 }
344 ],
345 "type": "PRIMARY",
346 "npi": "npi",
347 "addresses": [
348 {
349 "use": "HOME",
350 "line": [
351 "line",
352 "line"
353 ],
354 "city": "city",
355 "state": "state",
356 "postal_code": "postal_code",
357 "country": "country",
358 "county": "county",
359 "period": {}
360 },
361 {
362 "use": "HOME",
363 "line": [
364 "line",
365 "line"
366 ],
367 "city": "city",
368 "state": "state",
369 "postal_code": "postal_code",
370 "country": "country",
371 "county": "county",
372 "period": {}
373 }
374 ],
375 "period": {
376 "start": "2023-01-15",
377 "end": "2023-01-15"
378 },
379 "canonical_id": "canonical_id",
380 "fax": "fax",
381 "service_facilities": [
382 {
383 "service_facility_id": "service_facility_id"
384 },
385 {
386 "service_facility_id": "service_facility_id"
387 }
388 ]
389 }
390 ],
391 "mrn": "mrn",
392 "name": {
393 "family": "family",
394 "given": [
395 "given",
396 "given"
397 ],
398 "use": "USUAL",
399 "period": {
400 "start": "2023-01-15",
401 "end": "2023-01-15"
402 },
403 "suffix": "suffix"
404 },
405 "other_addresses": [
406 {
407 "use": "HOME",
408 "line": [
409 "line",
410 "line"
411 ],
412 "city": "city",
413 "state": "state",
414 "postal_code": "postal_code",
415 "country": "country",
416 "county": "county",
417 "period": {
418 "start": "2023-01-15",
419 "end": "2023-01-15"
420 }
421 },
422 {
423 "use": "HOME",
424 "line": [
425 "line",
426 "line"
427 ],
428 "city": "city",
429 "state": "state",
430 "postal_code": "postal_code",
431 "country": "country",
432 "county": "county",
433 "period": {
434 "start": "2023-01-15",
435 "end": "2023-01-15"
436 }
437 }
438 ],
439 "other_names": [
440 {
441 "family": "family",
442 "given": [
443 "given",
444 "given"
445 ],
446 "use": "USUAL",
447 "period": {
448 "start": "2023-01-15",
449 "end": "2023-01-15"
450 },
451 "suffix": "suffix"
452 },
453 {
454 "family": "family",
455 "given": [
456 "given",
457 "given"
458 ],
459 "use": "USUAL",
460 "period": {
461 "start": "2023-01-15",
462 "end": "2023-01-15"
463 },
464 "suffix": "suffix"
465 }
466 ],
467 "other_telecoms": [
468 {
469 "value": "value",
470 "use": "HOME",
471 "period": {
472 "start": "2023-01-15",
473 "end": "2023-01-15"
474 }
475 },
476 {
477 "value": "value",
478 "use": "HOME",
479 "period": {
480 "start": "2023-01-15",
481 "end": "2023-01-15"
482 }
483 }
484 ],
485 "primary_address": {
486 "use": "HOME",
487 "line": [
488 "line",
489 "line"
490 ],
491 "city": "city",
492 "state": "state",
493 "postal_code": "postal_code",
494 "country": "country",
495 "county": "county",
496 "period": {
497 "start": "2023-01-15",
498 "end": "2023-01-15"
499 }
500 },
501 "advanced_directives": [
502 "NONE",
503 "NONE"
504 ],
505 "authorizations": [
506 {
507 "payer_id": "payer_id",
508 "payer_name": "payer_name",
509 "authorization_number": "authorization_number",
510 "cpt_code": "cpt_code",
511 "units": "VISIT",
512 "additional_payer_information": {
513 "availity_eligibility_id": "availity_eligibility_id",
514 "availity_payer_id": "availity_payer_id",
515 "availity_payer_name": "availity_payer_name",
516 "availity_remittance_payer_id": "availity_remittance_payer_id"
517 },
518 "apply_for_all_cpt_codes": true,
519 "no_prior_authorization_required": true,
520 "quantity": 1,
521 "period": {
522 "start": "2023-01-15",
523 "end": "2023-01-15"
524 },
525 "notes": "notes",
526 "billing_provider_npi": "billing_provider_npi",
527 "service_facility": {
528 "service_facility_id": "service_facility_id"
529 },
530 "dx_codes": [
531 "dx_codes"
532 ]
533 },
534 {
535 "payer_id": "payer_id",
536 "payer_name": "payer_name",
537 "authorization_number": "authorization_number",
538 "cpt_code": "cpt_code",
539 "units": "VISIT",
540 "additional_payer_information": {
541 "availity_eligibility_id": "availity_eligibility_id",
542 "availity_payer_id": "availity_payer_id",
543 "availity_payer_name": "availity_payer_name",
544 "availity_remittance_payer_id": "availity_remittance_payer_id"
545 },
546 "apply_for_all_cpt_codes": true,
547 "no_prior_authorization_required": true,
548 "quantity": 1,
549 "period": {
550 "start": "2023-01-15",
551 "end": "2023-01-15"
552 },
553 "notes": "notes",
554 "billing_provider_npi": "billing_provider_npi",
555 "service_facility": {
556 "service_facility_id": "service_facility_id"
557 },
558 "dx_codes": [
559 "dx_codes"
560 ]
561 }
562 ],
563 "coverages_for_related_causes": {
564 "coverages": [
565 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
566 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
567 ]
568 },
569 "deceased": "2024-01-15T09:30:00Z",
570 "disability_status": "DISABLED",
571 "do_not_invoice_reason": "BANKRUPTCY",
572 "electronic_communication_consent": {
573 "text_communication_consent": true,
574 "email_communication_consent": true
575 },
576 "email": "email",
577 "ethnicity": "HISPANIC_OR_LATINO",
578 "external_provenance": {
579 "external_id": "external_id",
580 "system_name": "system_name"
581 },
582 "gender": "MAN",
583 "guarantor": {
584 "name": {
585 "family": "family",
586 "given": [
587 "given",
588 "given"
589 ],
590 "use": "USUAL",
591 "period": {
592 "start": "2023-01-15",
593 "end": "2023-01-15"
594 },
595 "suffix": "suffix"
596 },
597 "address": {
598 "use": "HOME",
599 "line": [
600 "line",
601 "line"
602 ],
603 "city": "city",
604 "state": "state",
605 "postal_code": "postal_code",
606 "country": "country",
607 "county": "county",
608 "period": {
609 "start": "2023-01-15",
610 "end": "2023-01-15"
611 }
612 },
613 "telecom": {
614 "value": "value",
615 "use": "HOME",
616 "period": {}
617 },
618 "email": "email",
619 "birth_date": "2023-01-15"
620 },
621 "hipaa_code": "hipaa_code",
622 "inferred_patient_metadata": {
623 "inferred_encounter_id": "inferred_encounter_id",
624 "inferred_encounter_latest_date_of_service": "2023-01-15"
625 },
626 "language": "language",
627 "marital_status": "ANNULLED",
628 "multiple_birth": 1,
629 "non_insurance_payer_associations": [
630 {
631 "id": "id",
632 "member_id": "member_id",
633 "period": {
634 "start": "2023-01-15",
635 "end": "2023-01-15"
636 },
637 "clinical_trial_info": [
638 {
639 "id": "id"
640 },
641 {
642 "id": "id"
643 }
644 ]
645 },
646 {
647 "id": "id",
648 "member_id": "member_id",
649 "period": {
650 "start": "2023-01-15",
651 "end": "2023-01-15"
652 },
653 "clinical_trial_info": [
654 {
655 "id": "id"
656 },
657 {
658 "id": "id"
659 }
660 ]
661 }
662 ],
663 "note_ids": [
664 "note_ids",
665 "note_ids"
666 ],
667 "orcon": true,
668 "origination_detail": {
669 "referral_source": "HOSPITAL",
670 "referring_provider": {
671 "name": {
672 "family": "family",
673 "given": [
674 "given",
675 "given"
676 ],
677 "use": "USUAL",
678 "period": {},
679 "suffix": "suffix"
680 },
681 "telecoms": [
682 {
683 "value": "value",
684 "use": "HOME"
685 },
686 {
687 "value": "value",
688 "use": "HOME"
689 }
690 ],
691 "type": "PRIMARY",
692 "npi": "npi",
693 "addresses": [],
694 "period": {},
695 "canonical_id": "canonical_id",
696 "fax": "fax",
697 "service_facilities": []
698 },
699 "specialization_categories": [
700 "BEHAVIORAL_HEALTH_THERAPY",
701 "BEHAVIORAL_HEALTH_THERAPY"
702 ],
703 "referral_type": "DIRECTED"
704 },
705 "other_identifiers": [
706 {
707 "value": "value",
708 "system": "system",
709 "period": {
710 "start": "2023-01-15",
711 "end": "2023-01-15"
712 }
713 },
714 {
715 "value": "value",
716 "system": "system",
717 "period": {
718 "start": "2023-01-15",
719 "end": "2023-01-15"
720 }
721 }
722 ],
723 "photo": "photo",
724 "primary_service_facility_id": "primary_service_facility_id",
725 "primary_telecom": {
726 "value": "value",
727 "use": "HOME",
728 "period": {
729 "start": "2023-01-15",
730 "end": "2023-01-15"
731 }
732 },
733 "pronouns": [
734 "pronouns",
735 "pronouns"
736 ],
737 "race": "AMERICAN_INDIAN_OR_ALASKA_NATIVE",
738 "referrals": [
739 {
740 "provider": {
741 "name": {
742 "family": "family",
743 "given": [
744 "given",
745 "given"
746 ],
747 "use": "USUAL",
748 "period": {},
749 "suffix": "suffix"
750 },
751 "telecoms": [
752 {
753 "value": "value",
754 "use": "HOME"
755 },
756 {
757 "value": "value",
758 "use": "HOME"
759 }
760 ],
761 "type": "PRIMARY",
762 "npi": "npi",
763 "addresses": [],
764 "period": {},
765 "canonical_id": "canonical_id",
766 "fax": "fax",
767 "service_facilities": []
768 },
769 "referral_number": "referral_number",
770 "period": {
771 "start": "2023-01-15",
772 "end": "2023-01-15"
773 },
774 "notes": "notes",
775 "serviceFacility": {
776 "service_facility_id": "service_facility_id"
777 },
778 "units": "VISIT",
779 "quantity": 1,
780 "cptCodes": [
781 "cptCodes",
782 "cptCodes"
783 ],
784 "applyForAllCptCodes": true
785 },
786 {
787 "provider": {
788 "name": {
789 "family": "family",
790 "given": [
791 "given",
792 "given"
793 ],
794 "use": "USUAL",
795 "period": {},
796 "suffix": "suffix"
797 },
798 "telecoms": [
799 {
800 "value": "value",
801 "use": "HOME"
802 },
803 {
804 "value": "value",
805 "use": "HOME"
806 }
807 ],
808 "type": "PRIMARY",
809 "npi": "npi",
810 "addresses": [],
811 "period": {},
812 "canonical_id": "canonical_id",
813 "fax": "fax",
814 "service_facilities": []
815 },
816 "referral_number": "referral_number",
817 "period": {
818 "start": "2023-01-15",
819 "end": "2023-01-15"
820 },
821 "notes": "notes",
822 "serviceFacility": {
823 "service_facility_id": "service_facility_id"
824 },
825 "units": "VISIT",
826 "quantity": 1,
827 "cptCodes": [
828 "cptCodes",
829 "cptCodes"
830 ],
831 "applyForAllCptCodes": true
832 }
833 ],
834 "self_pay": true,
835 "service_facilities": [
836 {
837 "service_facility_id": "service_facility_id"
838 },
839 {
840 "service_facility_id": "service_facility_id"
841 }
842 ],
843 "sexual_orientation": "HETEROSEXUAL",
844 "social_security_number": "social_security_number",
845 "tag_ids": [
846 "tag_ids",
847 "tag_ids"
848 ],
849 "electronic_communication_opt_in": true,
850 "non_insurance_payers": [
851 "non_insurance_payers",
852 "non_insurance_payers"
853 ]
854 },
855 "primary_coverage": {
856 "status": "ACTIVE",
857 "subscriber": {
858 "name": {
859 "family": "family",
860 "given": [
861 "given",
862 "given"
863 ],
864 "use": "USUAL",
865 "period": {
866 "start": "2023-01-15",
867 "end": "2023-01-15"
868 },
869 "suffix": "suffix"
870 },
871 "biological_sex": "FEMALE",
872 "date_of_birth": "2023-01-15",
873 "address": {
874 "use": "HOME",
875 "line": [
876 "line",
877 "line"
878 ],
879 "city": "city",
880 "state": "state",
881 "postal_code": "postal_code",
882 "country": "country",
883 "county": "county",
884 "period": {}
885 },
886 "employer_name": "employer_name"
887 },
888 "relationship": "SELF",
889 "patient": "patient",
890 "insurance_plan": {
891 "member_id": "member_id",
892 "payer_id": "payer_id",
893 "payer_name": "payer_name",
894 "additional_payer_information": {
895 "availity_eligibility_id": "availity_eligibility_id",
896 "availity_payer_id": "availity_payer_id",
897 "availity_payer_name": "availity_payer_name",
898 "availity_remittance_payer_id": "availity_remittance_payer_id"
899 },
900 "group_number": "group_number",
901 "name": "name",
902 "plan_type": "09",
903 "type": "01",
904 "period": {
905 "start": "2023-01-15",
906 "end": "2023-01-15"
907 },
908 "insurance_card_image_locator": "insurance_card_image_locator",
909 "address": {
910 "use": "HOME",
911 "line": [
912 "line",
913 "line"
914 ],
915 "city": "city",
916 "state": "state",
917 "postal_code": "postal_code",
918 "country": "country",
919 "county": "county",
920 "period": {}
921 },
922 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
923 "carve_outs": [
924 {
925 "carve_out": "BEHAVIORAL",
926 "member_id": "member_id",
927 "payer_id": "payer_id",
928 "payer_name": "payer_name",
929 "group_number": "group_number",
930 "plan_type": "09",
931 "type": "01",
932 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
933 },
934 {
935 "carve_out": "BEHAVIORAL",
936 "member_id": "member_id",
937 "payer_id": "payer_id",
938 "payer_name": "payer_name",
939 "group_number": "group_number",
940 "plan_type": "09",
941 "type": "01",
942 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
943 }
944 ]
945 },
946 "verified": true,
947 "eligibility_checks": [
948 {
949 "check_id": "check_id",
950 "service_code": "1",
951 "status": "COMPLETED",
952 "initiated_by": "initiated_by",
953 "initiated_at": "2024-01-15T09:30:00Z"
954 },
955 {
956 "check_id": "check_id",
957 "service_code": "1",
958 "status": "COMPLETED",
959 "initiated_by": "initiated_by",
960 "initiated_at": "2024-01-15T09:30:00Z"
961 }
962 ],
963 "latest_eligibility_check": {
964 "check_id": "check_id",
965 "status": "ACTIVE",
966 "initiated_at": "2024-01-15T09:30:00Z",
967 "errors": [
968 {},
969 {}
970 ]
971 },
972 "benefits": {
973 "plan_coverage": {
974 "in_network": {},
975 "in_network_flat": [],
976 "out_of_network": {},
977 "out_of_network_flat": []
978 },
979 "service_specific_coverage": [
980 {
981 "service_code": "1"
982 },
983 {
984 "service_code": "1"
985 }
986 ],
987 "benefits_related_entities": [
988 {},
989 {}
990 ],
991 "non_covered_details": [
992 {
993 "type": "DEDUCTIBLE",
994 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
995 "unit": "PERCENT",
996 "value": 1.1
997 },
998 {
999 "type": "DEDUCTIBLE",
1000 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
1001 "unit": "PERCENT",
1002 "value": 1.1
1003 }
1004 ],
1005 "notes": "notes",
1006 "autoUpdatedEligibilityCheckId": "autoUpdatedEligibilityCheckId"
1007 },
1008 "orcon": true,
1009 "auto_update_enabled": true,
1010 "previous_appointment_copays": {
1011 "MD_Visit": 1
1012 }
1013 },
1014 "secondary_coverage": {
1015 "status": "ACTIVE",
1016 "subscriber": {
1017 "name": {
1018 "family": "family",
1019 "given": [
1020 "given",
1021 "given"
1022 ],
1023 "use": "USUAL",
1024 "period": {
1025 "start": "2023-01-15",
1026 "end": "2023-01-15"
1027 },
1028 "suffix": "suffix"
1029 },
1030 "biological_sex": "FEMALE",
1031 "date_of_birth": "2023-01-15",
1032 "address": {
1033 "use": "HOME",
1034 "line": [
1035 "line",
1036 "line"
1037 ],
1038 "city": "city",
1039 "state": "state",
1040 "postal_code": "postal_code",
1041 "country": "country",
1042 "county": "county",
1043 "period": {}
1044 },
1045 "employer_name": "employer_name"
1046 },
1047 "relationship": "SELF",
1048 "patient": "patient",
1049 "insurance_plan": {
1050 "member_id": "member_id",
1051 "payer_id": "payer_id",
1052 "payer_name": "payer_name",
1053 "additional_payer_information": {
1054 "availity_eligibility_id": "availity_eligibility_id",
1055 "availity_payer_id": "availity_payer_id",
1056 "availity_payer_name": "availity_payer_name",
1057 "availity_remittance_payer_id": "availity_remittance_payer_id"
1058 },
1059 "group_number": "group_number",
1060 "name": "name",
1061 "plan_type": "09",
1062 "type": "01",
1063 "period": {
1064 "start": "2023-01-15",
1065 "end": "2023-01-15"
1066 },
1067 "insurance_card_image_locator": "insurance_card_image_locator",
1068 "address": {
1069 "use": "HOME",
1070 "line": [
1071 "line",
1072 "line"
1073 ],
1074 "city": "city",
1075 "state": "state",
1076 "postal_code": "postal_code",
1077 "country": "country",
1078 "county": "county",
1079 "period": {}
1080 },
1081 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
1082 "carve_outs": [
1083 {
1084 "carve_out": "BEHAVIORAL",
1085 "member_id": "member_id",
1086 "payer_id": "payer_id",
1087 "payer_name": "payer_name",
1088 "group_number": "group_number",
1089 "plan_type": "09",
1090 "type": "01",
1091 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
1092 },
1093 {
1094 "carve_out": "BEHAVIORAL",
1095 "member_id": "member_id",
1096 "payer_id": "payer_id",
1097 "payer_name": "payer_name",
1098 "group_number": "group_number",
1099 "plan_type": "09",
1100 "type": "01",
1101 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
1102 }
1103 ]
1104 },
1105 "verified": true,
1106 "eligibility_checks": [
1107 {
1108 "check_id": "check_id",
1109 "service_code": "1",
1110 "status": "COMPLETED",
1111 "initiated_by": "initiated_by",
1112 "initiated_at": "2024-01-15T09:30:00Z"
1113 },
1114 {
1115 "check_id": "check_id",
1116 "service_code": "1",
1117 "status": "COMPLETED",
1118 "initiated_by": "initiated_by",
1119 "initiated_at": "2024-01-15T09:30:00Z"
1120 }
1121 ],
1122 "latest_eligibility_check": {
1123 "check_id": "check_id",
1124 "status": "ACTIVE",
1125 "initiated_at": "2024-01-15T09:30:00Z",
1126 "errors": [
1127 {},
1128 {}
1129 ]
1130 },
1131 "benefits": {
1132 "plan_coverage": {
1133 "in_network": {},
1134 "in_network_flat": [],
1135 "out_of_network": {},
1136 "out_of_network_flat": []
1137 },
1138 "service_specific_coverage": [
1139 {
1140 "service_code": "1"
1141 },
1142 {
1143 "service_code": "1"
1144 }
1145 ],
1146 "benefits_related_entities": [
1147 {},
1148 {}
1149 ],
1150 "non_covered_details": [
1151 {
1152 "type": "DEDUCTIBLE",
1153 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
1154 "unit": "PERCENT",
1155 "value": 1.1
1156 },
1157 {
1158 "type": "DEDUCTIBLE",
1159 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
1160 "unit": "PERCENT",
1161 "value": 1.1
1162 }
1163 ],
1164 "notes": "notes",
1165 "autoUpdatedEligibilityCheckId": "autoUpdatedEligibilityCheckId"
1166 },
1167 "orcon": true,
1168 "auto_update_enabled": true,
1169 "previous_appointment_copays": {
1170 "MD_Visit": 1
1171 }
1172 },
1173 "primary_service_type": "MD_Visit"
1174 },
1175 {
1176 "appointment": {
1177 "deactivated": true,
1178 "id": "id",
1179 "organization_id": "organization_id",
1180 "patient_id": "patient_id",
1181 "service_duration": 1,
1182 "services": [
1183 {
1184 "universal_service_identifier": "MD_Visit",
1185 "start_timestamp": "2024-01-15T09:30:00Z"
1186 },
1187 {
1188 "universal_service_identifier": "MD_Visit",
1189 "start_timestamp": "2024-01-15T09:30:00Z"
1190 }
1191 ],
1192 "start_timestamp": "2024-01-15T09:30:00Z",
1193 "updated_at": "2024-01-15T09:30:00Z",
1194 "updating_user_id": "updating_user_id",
1195 "version": 1,
1196 "appointment_details": "appointment_details",
1197 "attending_doctor": {
1198 "name": {
1199 "family": "family",
1200 "given": [
1201 "given",
1202 "given"
1203 ],
1204 "use": "USUAL",
1205 "period": {
1206 "start": "2023-01-15",
1207 "end": "2023-01-15"
1208 },
1209 "suffix": "suffix"
1210 },
1211 "telecoms": [
1212 {
1213 "value": "value",
1214 "use": "HOME",
1215 "period": {}
1216 },
1217 {
1218 "value": "value",
1219 "use": "HOME",
1220 "period": {}
1221 }
1222 ],
1223 "type": "PRIMARY",
1224 "npi": "npi",
1225 "addresses": [
1226 {
1227 "use": "HOME",
1228 "line": [
1229 "line",
1230 "line"
1231 ],
1232 "city": "city",
1233 "state": "state",
1234 "postal_code": "postal_code",
1235 "country": "country",
1236 "county": "county",
1237 "period": {}
1238 },
1239 {
1240 "use": "HOME",
1241 "line": [
1242 "line",
1243 "line"
1244 ],
1245 "city": "city",
1246 "state": "state",
1247 "postal_code": "postal_code",
1248 "country": "country",
1249 "county": "county",
1250 "period": {}
1251 }
1252 ],
1253 "period": {
1254 "start": "2023-01-15",
1255 "end": "2023-01-15"
1256 },
1257 "canonical_id": "canonical_id",
1258 "fax": "fax",
1259 "service_facilities": [
1260 {
1261 "service_facility_id": "service_facility_id"
1262 },
1263 {
1264 "service_facility_id": "service_facility_id"
1265 }
1266 ]
1267 },
1268 "automated_eligibility_check_complete": true,
1269 "checked_in_timestamp": "2024-01-15T09:30:00Z",
1270 "estimated_copay_cents": 1,
1271 "estimated_patient_responsibility_cents": 1,
1272 "location_resource_id": "location_resource_id",
1273 "not_ready_reason": "INACTIVE_PRIMARY",
1274 "notes": "notes",
1275 "patient_deposit_cents": 1,
1276 "placer_appointment_id": "placer_appointment_id",
1277 "status": "PENDING",
1278 "work_queue": "EMERGENT_ISSUE"
1279 },
1280 "patient": {
1281 "biological_sex": "FEMALE",
1282 "birth_date": "2023-01-15",
1283 "contacts": [
1284 {
1285 "relationship": [
1286 "SELF",
1287 "SELF"
1288 ],
1289 "name": {
1290 "family": "family",
1291 "given": [
1292 "given",
1293 "given"
1294 ],
1295 "use": "USUAL",
1296 "period": {
1297 "start": "2023-01-15",
1298 "end": "2023-01-15"
1299 },
1300 "suffix": "suffix"
1301 },
1302 "telecoms": [
1303 {
1304 "value": "value",
1305 "use": "HOME",
1306 "period": {}
1307 },
1308 {
1309 "value": "value",
1310 "use": "HOME",
1311 "period": {}
1312 }
1313 ],
1314 "addresses": [
1315 {
1316 "use": "HOME",
1317 "line": [
1318 "line",
1319 "line"
1320 ],
1321 "city": "city",
1322 "state": "state",
1323 "postal_code": "postal_code",
1324 "country": "country",
1325 "county": "county",
1326 "period": {}
1327 },
1328 {
1329 "use": "HOME",
1330 "line": [
1331 "line",
1332 "line"
1333 ],
1334 "city": "city",
1335 "state": "state",
1336 "postal_code": "postal_code",
1337 "country": "country",
1338 "county": "county",
1339 "period": {}
1340 }
1341 ],
1342 "period": {
1343 "start": "2023-01-15",
1344 "end": "2023-01-15"
1345 },
1346 "hipaa_authorization": true
1347 },
1348 {
1349 "relationship": [
1350 "SELF",
1351 "SELF"
1352 ],
1353 "name": {
1354 "family": "family",
1355 "given": [
1356 "given",
1357 "given"
1358 ],
1359 "use": "USUAL",
1360 "period": {
1361 "start": "2023-01-15",
1362 "end": "2023-01-15"
1363 },
1364 "suffix": "suffix"
1365 },
1366 "telecoms": [
1367 {
1368 "value": "value",
1369 "use": "HOME",
1370 "period": {}
1371 },
1372 {
1373 "value": "value",
1374 "use": "HOME",
1375 "period": {}
1376 }
1377 ],
1378 "addresses": [
1379 {
1380 "use": "HOME",
1381 "line": [
1382 "line",
1383 "line"
1384 ],
1385 "city": "city",
1386 "state": "state",
1387 "postal_code": "postal_code",
1388 "country": "country",
1389 "county": "county",
1390 "period": {}
1391 },
1392 {
1393 "use": "HOME",
1394 "line": [
1395 "line",
1396 "line"
1397 ],
1398 "city": "city",
1399 "state": "state",
1400 "postal_code": "postal_code",
1401 "country": "country",
1402 "county": "county",
1403 "period": {}
1404 }
1405 ],
1406 "period": {
1407 "start": "2023-01-15",
1408 "end": "2023-01-15"
1409 },
1410 "hipaa_authorization": true
1411 }
1412 ],
1413 "filing_order": {
1414 "coverages": [
1415 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
1416 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
1417 ]
1418 },
1419 "general_practitioners": [
1420 {
1421 "name": {
1422 "family": "family",
1423 "given": [
1424 "given",
1425 "given"
1426 ],
1427 "use": "USUAL",
1428 "period": {
1429 "start": "2023-01-15",
1430 "end": "2023-01-15"
1431 },
1432 "suffix": "suffix"
1433 },
1434 "telecoms": [
1435 {
1436 "value": "value",
1437 "use": "HOME",
1438 "period": {}
1439 },
1440 {
1441 "value": "value",
1442 "use": "HOME",
1443 "period": {}
1444 }
1445 ],
1446 "type": "PRIMARY",
1447 "npi": "npi",
1448 "addresses": [
1449 {
1450 "use": "HOME",
1451 "line": [
1452 "line",
1453 "line"
1454 ],
1455 "city": "city",
1456 "state": "state",
1457 "postal_code": "postal_code",
1458 "country": "country",
1459 "county": "county",
1460 "period": {}
1461 },
1462 {
1463 "use": "HOME",
1464 "line": [
1465 "line",
1466 "line"
1467 ],
1468 "city": "city",
1469 "state": "state",
1470 "postal_code": "postal_code",
1471 "country": "country",
1472 "county": "county",
1473 "period": {}
1474 }
1475 ],
1476 "period": {
1477 "start": "2023-01-15",
1478 "end": "2023-01-15"
1479 },
1480 "canonical_id": "canonical_id",
1481 "fax": "fax",
1482 "service_facilities": [
1483 {
1484 "service_facility_id": "service_facility_id"
1485 },
1486 {
1487 "service_facility_id": "service_facility_id"
1488 }
1489 ]
1490 },
1491 {
1492 "name": {
1493 "family": "family",
1494 "given": [
1495 "given",
1496 "given"
1497 ],
1498 "use": "USUAL",
1499 "period": {
1500 "start": "2023-01-15",
1501 "end": "2023-01-15"
1502 },
1503 "suffix": "suffix"
1504 },
1505 "telecoms": [
1506 {
1507 "value": "value",
1508 "use": "HOME",
1509 "period": {}
1510 },
1511 {
1512 "value": "value",
1513 "use": "HOME",
1514 "period": {}
1515 }
1516 ],
1517 "type": "PRIMARY",
1518 "npi": "npi",
1519 "addresses": [
1520 {
1521 "use": "HOME",
1522 "line": [
1523 "line",
1524 "line"
1525 ],
1526 "city": "city",
1527 "state": "state",
1528 "postal_code": "postal_code",
1529 "country": "country",
1530 "county": "county",
1531 "period": {}
1532 },
1533 {
1534 "use": "HOME",
1535 "line": [
1536 "line",
1537 "line"
1538 ],
1539 "city": "city",
1540 "state": "state",
1541 "postal_code": "postal_code",
1542 "country": "country",
1543 "county": "county",
1544 "period": {}
1545 }
1546 ],
1547 "period": {
1548 "start": "2023-01-15",
1549 "end": "2023-01-15"
1550 },
1551 "canonical_id": "canonical_id",
1552 "fax": "fax",
1553 "service_facilities": [
1554 {
1555 "service_facility_id": "service_facility_id"
1556 },
1557 {
1558 "service_facility_id": "service_facility_id"
1559 }
1560 ]
1561 }
1562 ],
1563 "mrn": "mrn",
1564 "name": {
1565 "family": "family",
1566 "given": [
1567 "given",
1568 "given"
1569 ],
1570 "use": "USUAL",
1571 "period": {
1572 "start": "2023-01-15",
1573 "end": "2023-01-15"
1574 },
1575 "suffix": "suffix"
1576 },
1577 "other_addresses": [
1578 {
1579 "use": "HOME",
1580 "line": [
1581 "line",
1582 "line"
1583 ],
1584 "city": "city",
1585 "state": "state",
1586 "postal_code": "postal_code",
1587 "country": "country",
1588 "county": "county",
1589 "period": {
1590 "start": "2023-01-15",
1591 "end": "2023-01-15"
1592 }
1593 },
1594 {
1595 "use": "HOME",
1596 "line": [
1597 "line",
1598 "line"
1599 ],
1600 "city": "city",
1601 "state": "state",
1602 "postal_code": "postal_code",
1603 "country": "country",
1604 "county": "county",
1605 "period": {
1606 "start": "2023-01-15",
1607 "end": "2023-01-15"
1608 }
1609 }
1610 ],
1611 "other_names": [
1612 {
1613 "family": "family",
1614 "given": [
1615 "given",
1616 "given"
1617 ],
1618 "use": "USUAL",
1619 "period": {
1620 "start": "2023-01-15",
1621 "end": "2023-01-15"
1622 },
1623 "suffix": "suffix"
1624 },
1625 {
1626 "family": "family",
1627 "given": [
1628 "given",
1629 "given"
1630 ],
1631 "use": "USUAL",
1632 "period": {
1633 "start": "2023-01-15",
1634 "end": "2023-01-15"
1635 },
1636 "suffix": "suffix"
1637 }
1638 ],
1639 "other_telecoms": [
1640 {
1641 "value": "value",
1642 "use": "HOME",
1643 "period": {
1644 "start": "2023-01-15",
1645 "end": "2023-01-15"
1646 }
1647 },
1648 {
1649 "value": "value",
1650 "use": "HOME",
1651 "period": {
1652 "start": "2023-01-15",
1653 "end": "2023-01-15"
1654 }
1655 }
1656 ],
1657 "primary_address": {
1658 "use": "HOME",
1659 "line": [
1660 "line",
1661 "line"
1662 ],
1663 "city": "city",
1664 "state": "state",
1665 "postal_code": "postal_code",
1666 "country": "country",
1667 "county": "county",
1668 "period": {
1669 "start": "2023-01-15",
1670 "end": "2023-01-15"
1671 }
1672 },
1673 "advanced_directives": [
1674 "NONE",
1675 "NONE"
1676 ],
1677 "authorizations": [
1678 {
1679 "payer_id": "payer_id",
1680 "payer_name": "payer_name",
1681 "authorization_number": "authorization_number",
1682 "cpt_code": "cpt_code",
1683 "units": "VISIT",
1684 "additional_payer_information": {
1685 "availity_eligibility_id": "availity_eligibility_id",
1686 "availity_payer_id": "availity_payer_id",
1687 "availity_payer_name": "availity_payer_name",
1688 "availity_remittance_payer_id": "availity_remittance_payer_id"
1689 },
1690 "apply_for_all_cpt_codes": true,
1691 "no_prior_authorization_required": true,
1692 "quantity": 1,
1693 "period": {
1694 "start": "2023-01-15",
1695 "end": "2023-01-15"
1696 },
1697 "notes": "notes",
1698 "billing_provider_npi": "billing_provider_npi",
1699 "service_facility": {
1700 "service_facility_id": "service_facility_id"
1701 },
1702 "dx_codes": [
1703 "dx_codes"
1704 ]
1705 },
1706 {
1707 "payer_id": "payer_id",
1708 "payer_name": "payer_name",
1709 "authorization_number": "authorization_number",
1710 "cpt_code": "cpt_code",
1711 "units": "VISIT",
1712 "additional_payer_information": {
1713 "availity_eligibility_id": "availity_eligibility_id",
1714 "availity_payer_id": "availity_payer_id",
1715 "availity_payer_name": "availity_payer_name",
1716 "availity_remittance_payer_id": "availity_remittance_payer_id"
1717 },
1718 "apply_for_all_cpt_codes": true,
1719 "no_prior_authorization_required": true,
1720 "quantity": 1,
1721 "period": {
1722 "start": "2023-01-15",
1723 "end": "2023-01-15"
1724 },
1725 "notes": "notes",
1726 "billing_provider_npi": "billing_provider_npi",
1727 "service_facility": {
1728 "service_facility_id": "service_facility_id"
1729 },
1730 "dx_codes": [
1731 "dx_codes"
1732 ]
1733 }
1734 ],
1735 "coverages_for_related_causes": {
1736 "coverages": [
1737 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
1738 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
1739 ]
1740 },
1741 "deceased": "2024-01-15T09:30:00Z",
1742 "disability_status": "DISABLED",
1743 "do_not_invoice_reason": "BANKRUPTCY",
1744 "electronic_communication_consent": {
1745 "text_communication_consent": true,
1746 "email_communication_consent": true
1747 },
1748 "email": "email",
1749 "ethnicity": "HISPANIC_OR_LATINO",
1750 "external_provenance": {
1751 "external_id": "external_id",
1752 "system_name": "system_name"
1753 },
1754 "gender": "MAN",
1755 "guarantor": {
1756 "name": {
1757 "family": "family",
1758 "given": [
1759 "given",
1760 "given"
1761 ],
1762 "use": "USUAL",
1763 "period": {
1764 "start": "2023-01-15",
1765 "end": "2023-01-15"
1766 },
1767 "suffix": "suffix"
1768 },
1769 "address": {
1770 "use": "HOME",
1771 "line": [
1772 "line",
1773 "line"
1774 ],
1775 "city": "city",
1776 "state": "state",
1777 "postal_code": "postal_code",
1778 "country": "country",
1779 "county": "county",
1780 "period": {
1781 "start": "2023-01-15",
1782 "end": "2023-01-15"
1783 }
1784 },
1785 "telecom": {
1786 "value": "value",
1787 "use": "HOME",
1788 "period": {}
1789 },
1790 "email": "email",
1791 "birth_date": "2023-01-15"
1792 },
1793 "hipaa_code": "hipaa_code",
1794 "inferred_patient_metadata": {
1795 "inferred_encounter_id": "inferred_encounter_id",
1796 "inferred_encounter_latest_date_of_service": "2023-01-15"
1797 },
1798 "language": "language",
1799 "marital_status": "ANNULLED",
1800 "multiple_birth": 1,
1801 "non_insurance_payer_associations": [
1802 {
1803 "id": "id",
1804 "member_id": "member_id",
1805 "period": {
1806 "start": "2023-01-15",
1807 "end": "2023-01-15"
1808 },
1809 "clinical_trial_info": [
1810 {
1811 "id": "id"
1812 },
1813 {
1814 "id": "id"
1815 }
1816 ]
1817 },
1818 {
1819 "id": "id",
1820 "member_id": "member_id",
1821 "period": {
1822 "start": "2023-01-15",
1823 "end": "2023-01-15"
1824 },
1825 "clinical_trial_info": [
1826 {
1827 "id": "id"
1828 },
1829 {
1830 "id": "id"
1831 }
1832 ]
1833 }
1834 ],
1835 "note_ids": [
1836 "note_ids",
1837 "note_ids"
1838 ],
1839 "orcon": true,
1840 "origination_detail": {
1841 "referral_source": "HOSPITAL",
1842 "referring_provider": {
1843 "name": {
1844 "family": "family",
1845 "given": [
1846 "given",
1847 "given"
1848 ],
1849 "use": "USUAL",
1850 "period": {},
1851 "suffix": "suffix"
1852 },
1853 "telecoms": [
1854 {
1855 "value": "value",
1856 "use": "HOME"
1857 },
1858 {
1859 "value": "value",
1860 "use": "HOME"
1861 }
1862 ],
1863 "type": "PRIMARY",
1864 "npi": "npi",
1865 "addresses": [],
1866 "period": {},
1867 "canonical_id": "canonical_id",
1868 "fax": "fax",
1869 "service_facilities": []
1870 },
1871 "specialization_categories": [
1872 "BEHAVIORAL_HEALTH_THERAPY",
1873 "BEHAVIORAL_HEALTH_THERAPY"
1874 ],
1875 "referral_type": "DIRECTED"
1876 },
1877 "other_identifiers": [
1878 {
1879 "value": "value",
1880 "system": "system",
1881 "period": {
1882 "start": "2023-01-15",
1883 "end": "2023-01-15"
1884 }
1885 },
1886 {
1887 "value": "value",
1888 "system": "system",
1889 "period": {
1890 "start": "2023-01-15",
1891 "end": "2023-01-15"
1892 }
1893 }
1894 ],
1895 "photo": "photo",
1896 "primary_service_facility_id": "primary_service_facility_id",
1897 "primary_telecom": {
1898 "value": "value",
1899 "use": "HOME",
1900 "period": {
1901 "start": "2023-01-15",
1902 "end": "2023-01-15"
1903 }
1904 },
1905 "pronouns": [
1906 "pronouns",
1907 "pronouns"
1908 ],
1909 "race": "AMERICAN_INDIAN_OR_ALASKA_NATIVE",
1910 "referrals": [
1911 {
1912 "provider": {
1913 "name": {
1914 "family": "family",
1915 "given": [
1916 "given",
1917 "given"
1918 ],
1919 "use": "USUAL",
1920 "period": {},
1921 "suffix": "suffix"
1922 },
1923 "telecoms": [
1924 {
1925 "value": "value",
1926 "use": "HOME"
1927 },
1928 {
1929 "value": "value",
1930 "use": "HOME"
1931 }
1932 ],
1933 "type": "PRIMARY",
1934 "npi": "npi",
1935 "addresses": [],
1936 "period": {},
1937 "canonical_id": "canonical_id",
1938 "fax": "fax",
1939 "service_facilities": []
1940 },
1941 "referral_number": "referral_number",
1942 "period": {
1943 "start": "2023-01-15",
1944 "end": "2023-01-15"
1945 },
1946 "notes": "notes",
1947 "serviceFacility": {
1948 "service_facility_id": "service_facility_id"
1949 },
1950 "units": "VISIT",
1951 "quantity": 1,
1952 "cptCodes": [
1953 "cptCodes",
1954 "cptCodes"
1955 ],
1956 "applyForAllCptCodes": true
1957 },
1958 {
1959 "provider": {
1960 "name": {
1961 "family": "family",
1962 "given": [
1963 "given",
1964 "given"
1965 ],
1966 "use": "USUAL",
1967 "period": {},
1968 "suffix": "suffix"
1969 },
1970 "telecoms": [
1971 {
1972 "value": "value",
1973 "use": "HOME"
1974 },
1975 {
1976 "value": "value",
1977 "use": "HOME"
1978 }
1979 ],
1980 "type": "PRIMARY",
1981 "npi": "npi",
1982 "addresses": [],
1983 "period": {},
1984 "canonical_id": "canonical_id",
1985 "fax": "fax",
1986 "service_facilities": []
1987 },
1988 "referral_number": "referral_number",
1989 "period": {
1990 "start": "2023-01-15",
1991 "end": "2023-01-15"
1992 },
1993 "notes": "notes",
1994 "serviceFacility": {
1995 "service_facility_id": "service_facility_id"
1996 },
1997 "units": "VISIT",
1998 "quantity": 1,
1999 "cptCodes": [
2000 "cptCodes",
2001 "cptCodes"
2002 ],
2003 "applyForAllCptCodes": true
2004 }
2005 ],
2006 "self_pay": true,
2007 "service_facilities": [
2008 {
2009 "service_facility_id": "service_facility_id"
2010 },
2011 {
2012 "service_facility_id": "service_facility_id"
2013 }
2014 ],
2015 "sexual_orientation": "HETEROSEXUAL",
2016 "social_security_number": "social_security_number",
2017 "tag_ids": [
2018 "tag_ids",
2019 "tag_ids"
2020 ],
2021 "electronic_communication_opt_in": true,
2022 "non_insurance_payers": [
2023 "non_insurance_payers",
2024 "non_insurance_payers"
2025 ]
2026 },
2027 "primary_coverage": {
2028 "status": "ACTIVE",
2029 "subscriber": {
2030 "name": {
2031 "family": "family",
2032 "given": [
2033 "given",
2034 "given"
2035 ],
2036 "use": "USUAL",
2037 "period": {
2038 "start": "2023-01-15",
2039 "end": "2023-01-15"
2040 },
2041 "suffix": "suffix"
2042 },
2043 "biological_sex": "FEMALE",
2044 "date_of_birth": "2023-01-15",
2045 "address": {
2046 "use": "HOME",
2047 "line": [
2048 "line",
2049 "line"
2050 ],
2051 "city": "city",
2052 "state": "state",
2053 "postal_code": "postal_code",
2054 "country": "country",
2055 "county": "county",
2056 "period": {}
2057 },
2058 "employer_name": "employer_name"
2059 },
2060 "relationship": "SELF",
2061 "patient": "patient",
2062 "insurance_plan": {
2063 "member_id": "member_id",
2064 "payer_id": "payer_id",
2065 "payer_name": "payer_name",
2066 "additional_payer_information": {
2067 "availity_eligibility_id": "availity_eligibility_id",
2068 "availity_payer_id": "availity_payer_id",
2069 "availity_payer_name": "availity_payer_name",
2070 "availity_remittance_payer_id": "availity_remittance_payer_id"
2071 },
2072 "group_number": "group_number",
2073 "name": "name",
2074 "plan_type": "09",
2075 "type": "01",
2076 "period": {
2077 "start": "2023-01-15",
2078 "end": "2023-01-15"
2079 },
2080 "insurance_card_image_locator": "insurance_card_image_locator",
2081 "address": {
2082 "use": "HOME",
2083 "line": [
2084 "line",
2085 "line"
2086 ],
2087 "city": "city",
2088 "state": "state",
2089 "postal_code": "postal_code",
2090 "country": "country",
2091 "county": "county",
2092 "period": {}
2093 },
2094 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
2095 "carve_outs": [
2096 {
2097 "carve_out": "BEHAVIORAL",
2098 "member_id": "member_id",
2099 "payer_id": "payer_id",
2100 "payer_name": "payer_name",
2101 "group_number": "group_number",
2102 "plan_type": "09",
2103 "type": "01",
2104 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
2105 },
2106 {
2107 "carve_out": "BEHAVIORAL",
2108 "member_id": "member_id",
2109 "payer_id": "payer_id",
2110 "payer_name": "payer_name",
2111 "group_number": "group_number",
2112 "plan_type": "09",
2113 "type": "01",
2114 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
2115 }
2116 ]
2117 },
2118 "verified": true,
2119 "eligibility_checks": [
2120 {
2121 "check_id": "check_id",
2122 "service_code": "1",
2123 "status": "COMPLETED",
2124 "initiated_by": "initiated_by",
2125 "initiated_at": "2024-01-15T09:30:00Z"
2126 },
2127 {
2128 "check_id": "check_id",
2129 "service_code": "1",
2130 "status": "COMPLETED",
2131 "initiated_by": "initiated_by",
2132 "initiated_at": "2024-01-15T09:30:00Z"
2133 }
2134 ],
2135 "latest_eligibility_check": {
2136 "check_id": "check_id",
2137 "status": "ACTIVE",
2138 "initiated_at": "2024-01-15T09:30:00Z",
2139 "errors": [
2140 {},
2141 {}
2142 ]
2143 },
2144 "benefits": {
2145 "plan_coverage": {
2146 "in_network": {},
2147 "in_network_flat": [],
2148 "out_of_network": {},
2149 "out_of_network_flat": []
2150 },
2151 "service_specific_coverage": [
2152 {
2153 "service_code": "1"
2154 },
2155 {
2156 "service_code": "1"
2157 }
2158 ],
2159 "benefits_related_entities": [
2160 {},
2161 {}
2162 ],
2163 "non_covered_details": [
2164 {
2165 "type": "DEDUCTIBLE",
2166 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
2167 "unit": "PERCENT",
2168 "value": 1.1
2169 },
2170 {
2171 "type": "DEDUCTIBLE",
2172 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
2173 "unit": "PERCENT",
2174 "value": 1.1
2175 }
2176 ],
2177 "notes": "notes",
2178 "autoUpdatedEligibilityCheckId": "autoUpdatedEligibilityCheckId"
2179 },
2180 "orcon": true,
2181 "auto_update_enabled": true,
2182 "previous_appointment_copays": {
2183 "MD_Visit": 1
2184 }
2185 },
2186 "secondary_coverage": {
2187 "status": "ACTIVE",
2188 "subscriber": {
2189 "name": {
2190 "family": "family",
2191 "given": [
2192 "given",
2193 "given"
2194 ],
2195 "use": "USUAL",
2196 "period": {
2197 "start": "2023-01-15",
2198 "end": "2023-01-15"
2199 },
2200 "suffix": "suffix"
2201 },
2202 "biological_sex": "FEMALE",
2203 "date_of_birth": "2023-01-15",
2204 "address": {
2205 "use": "HOME",
2206 "line": [
2207 "line",
2208 "line"
2209 ],
2210 "city": "city",
2211 "state": "state",
2212 "postal_code": "postal_code",
2213 "country": "country",
2214 "county": "county",
2215 "period": {}
2216 },
2217 "employer_name": "employer_name"
2218 },
2219 "relationship": "SELF",
2220 "patient": "patient",
2221 "insurance_plan": {
2222 "member_id": "member_id",
2223 "payer_id": "payer_id",
2224 "payer_name": "payer_name",
2225 "additional_payer_information": {
2226 "availity_eligibility_id": "availity_eligibility_id",
2227 "availity_payer_id": "availity_payer_id",
2228 "availity_payer_name": "availity_payer_name",
2229 "availity_remittance_payer_id": "availity_remittance_payer_id"
2230 },
2231 "group_number": "group_number",
2232 "name": "name",
2233 "plan_type": "09",
2234 "type": "01",
2235 "period": {
2236 "start": "2023-01-15",
2237 "end": "2023-01-15"
2238 },
2239 "insurance_card_image_locator": "insurance_card_image_locator",
2240 "address": {
2241 "use": "HOME",
2242 "line": [
2243 "line",
2244 "line"
2245 ],
2246 "city": "city",
2247 "state": "state",
2248 "postal_code": "postal_code",
2249 "country": "country",
2250 "county": "county",
2251 "period": {}
2252 },
2253 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
2254 "carve_outs": [
2255 {
2256 "carve_out": "BEHAVIORAL",
2257 "member_id": "member_id",
2258 "payer_id": "payer_id",
2259 "payer_name": "payer_name",
2260 "group_number": "group_number",
2261 "plan_type": "09",
2262 "type": "01",
2263 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
2264 },
2265 {
2266 "carve_out": "BEHAVIORAL",
2267 "member_id": "member_id",
2268 "payer_id": "payer_id",
2269 "payer_name": "payer_name",
2270 "group_number": "group_number",
2271 "plan_type": "09",
2272 "type": "01",
2273 "payer_plan_group_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
2274 }
2275 ]
2276 },
2277 "verified": true,
2278 "eligibility_checks": [
2279 {
2280 "check_id": "check_id",
2281 "service_code": "1",
2282 "status": "COMPLETED",
2283 "initiated_by": "initiated_by",
2284 "initiated_at": "2024-01-15T09:30:00Z"
2285 },
2286 {
2287 "check_id": "check_id",
2288 "service_code": "1",
2289 "status": "COMPLETED",
2290 "initiated_by": "initiated_by",
2291 "initiated_at": "2024-01-15T09:30:00Z"
2292 }
2293 ],
2294 "latest_eligibility_check": {
2295 "check_id": "check_id",
2296 "status": "ACTIVE",
2297 "initiated_at": "2024-01-15T09:30:00Z",
2298 "errors": [
2299 {},
2300 {}
2301 ]
2302 },
2303 "benefits": {
2304 "plan_coverage": {
2305 "in_network": {},
2306 "in_network_flat": [],
2307 "out_of_network": {},
2308 "out_of_network_flat": []
2309 },
2310 "service_specific_coverage": [
2311 {
2312 "service_code": "1"
2313 },
2314 {
2315 "service_code": "1"
2316 }
2317 ],
2318 "benefits_related_entities": [
2319 {},
2320 {}
2321 ],
2322 "non_covered_details": [
2323 {
2324 "type": "DEDUCTIBLE",
2325 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
2326 "unit": "PERCENT",
2327 "value": 1.1
2328 },
2329 {
2330 "type": "DEDUCTIBLE",
2331 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
2332 "unit": "PERCENT",
2333 "value": 1.1
2334 }
2335 ],
2336 "notes": "notes",
2337 "autoUpdatedEligibilityCheckId": "autoUpdatedEligibilityCheckId"
2338 },
2339 "orcon": true,
2340 "auto_update_enabled": true,
2341 "previous_appointment_copays": {
2342 "MD_Visit": 1
2343 }
2344 },
2345 "primary_service_type": "MD_Visit"
2346 }
2347 ],
2348 "total": 1,
2349 "next_page_token": "next_page_token",
2350 "prev_page_token": "prev_page_token"
2351}
Searches for appointments that match the query parameters.
Was this page helpful?
Previous

Get

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

sort_fieldstringOptional
Defaults to appointment.startTimestamp.
sort_directionenumOptional
Defaults to asc.
Allowed values:
limitintegerOptional
Defaults to 100.
page_tokenstringOptional
A token that can be used to retrieve the next or previous page of results
filtersstringOptional

A serialized list of filters separated by commas indicating filters to apply. Each filter is of the form ‘path:operator:value’. Example: ‘patient.mrn|eq|12345’. Filters are separated by commas. Example: ‘patient.mrn|eq|12345,appointment.startDate|gt|67890’. All filters are ANDed together. Valid operators are ‘eq’, ‘gt’, ‘lt’, ‘contains’, ‘ieq’, ‘in’. ieq is a case-insensitive equality operator. in allows searching for values that match any item in a semicolon-separated list (e.g., ‘patient.id|in|foo;bar;baz’). Path values are camelCase.

include_deactivatedbooleanOptional
If true, includes deactivated appointments in the results. Defaults to false.
include_merged_patient_databooleanOptional
If true and a patient id is specified, then also include appointments from any alternative patients that are merged into this patient. Defaults to false.

Response

This endpoint returns an object.
itemslist of objects
totalinteger
next_page_tokenstring
A token that can be used to retrieve the next or previous page of results
prev_page_tokenstring
A token that can be used to retrieve the next or previous page of results